# Interface methods for submodule: ContourSpatialObjectPoint
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectPointProxy as _SpatialObjectPointProxy


# Interface methods for class: ContourSpatialObjectPoint
class ContourSpatialObjectPointProxy(_SpatialObjectPointProxy):
	def GetPickedPointInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetPickedPointInObjectSpace(self, point: Sequence[float]) -> None:
		""""""
		...

	def GetNormalInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetNormalInObjectSpace(self, normal: Sequence[float]) -> None:
		""""""
		...

